aboutsummaryrefslogtreecommitdiff
path: root/tests/legacy/info
diff options
context:
space:
mode:
Diffstat (limited to 'tests/legacy/info')
-rw-r--r--tests/legacy/info/BUILD.bazel6
-rwxr-xr-xtests/legacy/info/info_test.sh9
2 files changed, 15 insertions, 0 deletions
diff --git a/tests/legacy/info/BUILD.bazel b/tests/legacy/info/BUILD.bazel
new file mode 100644
index 00000000..4266fc2b
--- /dev/null
+++ b/tests/legacy/info/BUILD.bazel
@@ -0,0 +1,6 @@
+sh_test(
+ name = "info",
+ srcs = ["info_test.sh"],
+ args = ["$(location @io_bazel_rules_go//:go_info)"],
+ data = ["@io_bazel_rules_go//:go_info"],
+)
diff --git a/tests/legacy/info/info_test.sh b/tests/legacy/info/info_test.sh
new file mode 100755
index 00000000..cde164df
--- /dev/null
+++ b/tests/legacy/info/info_test.sh
@@ -0,0 +1,9 @@
+for t in "go version" "GOROOT=" "GOPATH=" "GOARCH=" "GOOS=" "GOBIN="; do
+ if ! grep -q "$t" $1; then
+ cat "$1"
+ echo
+ echo
+ echo "Failed to find $t in $1"
+ exit 1
+ fi
+done